Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602352 - net-fs/samba - should not create /var/{run,lock} at installation time
Summary: net-fs/samba - should not create /var/{run,lock} at installation time
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-11 16:15 UTC by Alexander Tsoy
Modified: 2021-11-20 10:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
samba-4.2.11:20161211-143108.log.gz (samba-4.2.11:20161211-143108.log.gz,135.66 KB, application/gzip)
2016-12-11 16:15 UTC, Alexander Tsoy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Tsoy 2016-12-11 16:15:06 UTC
Created attachment 455866 [details]
samba-4.2.11:20161211-143108.log.gz

Please see build log and tracker bug 332633.


Also with current stable version of portage this breaks "/var/lock" symlink inside chroots/containers where "/run/lock" directory is missing (/var/lock symlink is "broken" in this case). Relevant part of the build log:

--------- cut ---------
 * 
 * Installation of a directory is blocked by a file:
 *   '/var/lock'
 * This file will be renamed to a different name:
 *   '/var/lock.backup.0000'
 * 
bak /var/lock /var/lock.backup
>>> /var/lock/
>>> /var/lock/samba/
--------- cut ---------


x86 ~ # ls -ld /var/lock*
итого 0
drwxr-xr-x  3 root root  19 дек 11 17:47 lock
lrwxrwxrwx  1 root root   9 дек 11 17:47 lock.backup.0000 -> /run/lock



x86 ~ # emerge --info samba
Portage 2.3.0 (python 2.7.12-final-0, hardened/linux/x86, gcc-5.4.0, glibc-2.22-r4, 4.8.12-hardened-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.12-hardened-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-gentoo-2.3
KiB Mem:     8038496 total,   1110256 free
KiB Swap:    4194300 total,   4193700 free
Timestamp of repository gentoo: Sun, 11 Dec 2016 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.3::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            5.4.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /var/cache/portage/repos/gentoo
    sync-type: webrsync
    sync-uri: http://mirror.yandex.ru/gentoo-distfiles/
    priority: -1000

puleglot
    location: /var/cache/portage/repos/puleglot
    sync-type: git
    sync-uri: git://puleglot.ru/gentoo/puleglot-overlay.git
    masters: gentoo
    priority: 900

local
    location: /usr/local/portage
    masters: gentoo
    priority: 1000

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/var/cache/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --binpkg-respect-use=y --ask-enter-invalid"
FCFLAGS="-march=i686 -O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg compress-build-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms split-log strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-march=i686 -O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ ftp://mirror.yandex.ru/gentoo-distfiles/"
LANG="ru_RU.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/var/cache/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X aac acl acpi aio alsa amr ape asyncns bash-completion berkdb bluetooth bluray branding bzip2 cairo caps cdda cddb cdparanoia cdr cli colord cracklib crypt cups cxx dbus dconf djvu dri dts dvd dvdr eds egl evo examples exif faac faad ffmpeg flac fontconfig fuse gdbm gif gnome gnome-keyring gnome-online-accounts gstreamer gtk gtk3 hardened iconv icu idn ieee1394 introspection ipv6 jpeg jpeg2k libass libnotify libsecret lz4 lzma mac maildir mms modules mp3 mp4 musepack musicbrainz nautilus ncurses networkmanager nls nptl ogg opengl openmp opus pam pax_kernel pcre perl pic pie png policykit postscript pulseaudio python raw readline samba sasl seccomp session speex spell ssl ssp startup-notification svg systemd tcpd theora tiff tls truetype udev unicode urandom usb vaapi vdpau vim-syntax vorbis vpx wavpack webp x264 x86 xattr xfs xtpax xv xvid xz zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3 sse4_1" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev libinput" KERNEL="linux" L10N="en ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US ru ru_RU" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" QEMU_SOFTMMU_TARGETS="aarch64 arm i386 mips mips64 mips64el mipsel ppc ppc64 ppcemb x86_64" QEMU_USER_TARGETS="arm" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu radeon radeonsi intel vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-fs/samba-4.2.11::gentoo was built with the following:
USE="acl aio client cups pam system-mitkrb5 systemd -addc -addns -ads -avahi -cluster -dmapi -fam -gnutls -iprint -ldap -quota (-selinux) -syslog -test -winbind" PYTHON_TARGETS="python2_7"
Comment 1 Larry the Git Cow gentoo-dev 2020-02-09 14:46:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47c6f114afc9699dd82de27d1ba7da529f9632ba

commit 47c6f114afc9699dd82de27d1ba7da529f9632ba
Author:     Ben Kohler <bkohler@gentoo.org>
AuthorDate: 2020-02-09 14:45:56 +0000
Commit:     Ben Kohler <bkohler@gentoo.org>
CommitDate: 2020-02-09 14:46:40 +0000

    net-fs/samba: don't keepdir paths handled by tmpfilesd
    
    Closes: https://bugs.gentoo.org/602352
    
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: Ben Kohler <bkohler@gentoo.org>

 net-fs/samba/files/samba.conf       | 1 +
 net-fs/samba/samba-4.11.6-r1.ebuild | 2 --
 2 files changed, 1 insertion(+), 2 deletions(-)
Comment 2 Tiago Marques 2021-11-20 09:56:10 UTC
I just had this happen to me with a recent stage3 and Samba 4.14.9.

The ebuild contains the line deleted before:

"keepdir /var/lock/samba".

This should be reopened?
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-20 10:07:02 UTC
(In reply to Tiago Marques from comment #2)
> I just had this happen to me with a recent stage3 and Samba 4.14.9.
> 
> The ebuild contains the line deleted before:
> 
> "keepdir /var/lock/samba".
> 
> This should be reopened?

Yeah, I think it's somewhat covered by bug 520612, but let's reopen it.